Package com.google.protobuf.compiler

# Class PluginProtos.Version.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<PluginProtos.Version.Builder>
com.google.protobuf.GeneratedMessage.Builder<PluginProtos.Version.Builder>
com.google.protobuf.compiler.PluginProtos.Version.Builder

All Implemented Interfaces:
  `PluginProtos.VersionOrBuilder`, `Message.Builder`, `MessageLite.Builder`, `MessageLiteOrBuilder`, `MessageOrBuilder`, `Cloneable`

Enclosing class:
  `PluginProtos.Version`

public static final class PluginProtos.Version.Builder extends GeneratedMessage.Builder<PluginProtos.Version.Builder> implements PluginProtos.VersionOrBuilder
Protobuf type `google.protobuf.compiler.Version`

## Method Summary

Modifier and Type
Method
Description
`PluginProtos.Version`
`build()`
Constructs the message based on the state of the Builder.
`PluginProtos.Version`
`buildPartial()`
Like `MessageLite.Builder.build()`, but does not throw an exception if the message is missing required fields.
`PluginProtos.Version.Builder`
`clear()`
Called by the initialization and clear code paths to allow subclasses to reset any of their builtin fields back to the initial values.
`PluginProtos.Version.Builder`
`clearMajor()`
`optional int32 major = 1 [json_name = "major"];`
`PluginProtos.Version.Builder`
`clearMinor()`
`optional int32 minor = 2 [json_name = "minor"];`
`PluginProtos.Version.Builder`
`clearPatch()`
`optional int32 patch = 3 [json_name = "patch"];`
`PluginProtos.Version.Builder`
`clearSuffix()`
`optional string suffix = 4 [json_name = "suffix"];`
`PluginProtos.Version`
`getDefaultInstanceForType()`
Get an instance of the type with no fields set.
`static final Descriptors.Descriptor`
`getDescriptor()`
`Descriptors.Descriptor`
`getDescriptorForType()`
Get the message's type's descriptor.
`int`
`getMajor()`
`optional int32 major = 1 [json_name = "major"];`
`int`
`getMinor()`
`optional int32 minor = 2 [json_name = "minor"];`
`int`
`getPatch()`
`optional int32 patch = 3 [json_name = "patch"];`
`String`
`getSuffix()`
`optional string suffix = 4 [json_name = "suffix"];`
`ByteString`
`getSuffixBytes()`
`optional string suffix = 4 [json_name = "suffix"];`
`boolean`
`hasMajor()`
`optional int32 major = 1 [json_name = "major"];`
`boolean`
`hasMinor()`
`optional int32 minor = 2 [json_name = "minor"];`
`boolean`
`hasPatch()`
`optional int32 patch = 3 [json_name = "patch"];`
`boolean`
`hasSuffix()`
`optional string suffix = 4 [json_name = "suffix"];`
`protected GeneratedMessage.FieldAccessorTable`
`internalGetFieldAccessorTable()`
Get the FieldAccessorTable for this type.
`final boolean`
`isInitialized()`
Returns true if all required fields in the message and all embedded messages are set, false otherwise.
`PluginProtos.Version.Builder`
`mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)`
Like `MessageLite.Builder.mergeFrom(CodedInputStream)`, but also parses extensions.
`PluginProtos.Version.Builder`
`mergeFrom(PluginProtos.Version other)`
`PluginProtos.Version.Builder`
`mergeFrom(Message other)`
Merge `other` into the message being built.
`PluginProtos.Version.Builder`
`setMajor(int value)`
`optional int32 major = 1 [json_name = "major"];`
`PluginProtos.Version.Builder`
`setMinor(int value)`
`optional int32 minor = 2 [json_name = "minor"];`
`PluginProtos.Version.Builder`
`setPatch(int value)`
`optional int32 patch = 3 [json_name = "patch"];`
`PluginProtos.Version.Builder`
`setSuffix(String value)`
`optional string suffix = 4 [json_name = "suffix"];`
`PluginProtos.Version.Builder`
`setSuffixBytes(ByteString value)`
`optional string suffix = 4 [json_name = "suffix"];`

### Methods inherited from class com.google.protobuf.GeneratedMessage.Builder

`addRepeatedField, clearField, clearOneof, clone, getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMapFieldReflection, internalGetMutableMapField, internalGetMutableMapFieldReflection, isClean, markClean, mergeUnknownFields, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFields, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.Message.Builder

`mergeDelimitedFrom, mergeDelimitedFrom`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()
Description copied from class: `GeneratedMessage.Builder`
Get the FieldAccessorTable for this type. We can't have the message class pass this in to the constructor because of bootstrapping trouble with DescriptorProtos.

Specified by:
  `internalGetFieldAccessorTable` in class `GeneratedMessage.Builder<PluginProtos.Version.Builder>`

### clear

public PluginProtos.Version.Builder clear()
Description copied from class: `GeneratedMessage.Builder`
Called by the initialization and clear code paths to allow subclasses to reset any of their builtin fields back to the initial values.

Specified by:
  `clear` in interface `Message.Builder`
Specified by:
  `clear` in interface `MessageLite.Builder`
Overrides:
  `clear` in class `GeneratedMessage.Builder<PluginProtos.Version.Builder>`

### getDescriptorForType

public Descriptors.Descriptor getDescriptorForType()
Description copied from interface: `Message.Builder`
Get the message's type's descriptor. See `MessageOrBuilder.getDescriptorForType()`.

Specified by:
  `getDescriptorForType` in interface `Message.Builder`
Specified by:
  `getDescriptorForType` in interface `MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `GeneratedMessage.Builder<PluginProtos.Version.Builder>`

### getDefaultInstanceForType

public PluginProtos.Version getDefaultInstanceForType()
Description copied from interface: `MessageLiteOrBuilder`
Get an instance of the type with no fields set. Because no fields are set, all getters for singular fields will return default values and repeated fields will appear empty. This may or may not be a singleton. This differs from the `getDefaultInstance()` method of generated message classes in that this method is an abstract method of the `MessageLite` interface whereas `getDefaultInstance()` is a static method of a specific class. They return the same thing.

Specified by:
  `getDefaultInstanceForType` in interface `MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `MessageOrBuilder`

### build

public PluginProtos.Version build()
Description copied from interface: `MessageLite.Builder`
Constructs the message based on the state of the Builder. Subsequent changes to the Builder will not affect the returned message.

Specified by:
  `build` in interface `Message.Builder`
Specified by:
  `build` in interface `MessageLite.Builder`

### buildPartial

public PluginProtos.Version buildPartial()
Description copied from interface: `MessageLite.Builder`
Like `MessageLite.Builder.build()`, but does not throw an exception if the message is missing required fields. Instead, a partial message is returned. Subsequent changes to the Builder will not affect the returned message.

Specified by:
  `buildPartial` in interface `Message.Builder`
Specified by:
  `buildPartial` in interface `MessageLite.Builder`

### mergeFrom

public PluginProtos.Version.Builder mergeFrom(Message other)
Description copied from interface: `Message.Builder`
Merge `other` into the message being built. `other` must have the exact same type as `this` (i.e. `getDescriptorForType() == other.getDescriptorForType()`).

Merging occurs as follows. For each field:
* For singular primitive fields, if the field is set in `other`, then `other`'s value overwrites the value in this message.
* For singular message fields, if the field is set in `other`, it is merged into the corresponding sub-message of this message using the same merging rules.
* For repeated fields, the elements in `other` are concatenated with the elements in this message.
* For oneof groups, if the other message has one of the fields set, the group of this message is cleared and replaced by the field of the other message, so that the oneof constraint is preserved.

This is equivalent to the `Message::MergeFrom` method in C++.

Specified by:
  `mergeFrom` in interface `Message.Builder`
Overrides:
  `mergeFrom` in class `AbstractMessage.Builder<PluginProtos.Version.Builder>`

### mergeFrom

public PluginProtos.Version.Builder mergeFrom(PluginProtos.Version other)

### isInitialized

public final boolean isInitialized()
Description copied from interface: `MessageLiteOrBuilder`
Returns true if all required fields in the message and all embedded messages are set, false otherwise.

See also: `MessageOrBuilder.getInitializationErrorString()`

Specified by:
  `isInitialized` in interface `MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `GeneratedMessage.Builder<PluginProtos.Version.Builder>`

### mergeFrom

public PluginProtos.Version.Builder mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry) throws IOException
Description copied from interface: `MessageLite.Builder`
Like `MessageLite.Builder.mergeFrom(CodedInputStream)`, but also parses extensions. The extensions that you want to be able to parse must be registered in `extensionRegistry`. Extensions not in the registry will be treated as unknown fields.

Specified by:
  `mergeFrom` in interface `Message.Builder`
Specified by:
  `mergeFrom` in interface `MessageLite.Builder`
Overrides:
  `mergeFrom` in class `AbstractMessage.Builder<PluginProtos.Version.Builder>`
Throws:
  `IOException` - an I/O error reading from the stream

### hasMajor

public boolean hasMajor()
`optional int32 major = 1 [json_name = "major"];`

Specified by:
  `hasMajor` in interface `PluginProtos.VersionOrBuilder`
Returns:
  Whether the major field is set.

### getMajor

public int getMajor()
`optional int32 major = 1 [json_name = "major"];`

Specified by:
  `getMajor` in interface `PluginProtos.VersionOrBuilder`
Returns:
  The major.

### setMajor

public PluginProtos.Version.Builder setMajor(int value)
`optional int32 major = 1 [json_name = "major"];`

Parameters:
  `value` - The major to set.
Returns:
  This builder for chaining.

### clearMajor

public PluginProtos.Version.Builder clearMajor()
`optional int32 major = 1 [json_name = "major"];`

Returns:
  This builder for chaining.

### hasMinor

public boolean hasMinor()
`optional int32 minor = 2 [json_name = "minor"];`

Specified by:
  `hasMinor` in interface `PluginProtos.VersionOrBuilder`
Returns:
  Whether the minor field is set.

### getMinor

public int getMinor()
`optional int32 minor = 2 [json_name = "minor"];`

Specified by:
  `getMinor` in interface `PluginProtos.VersionOrBuilder`
Returns:
  The minor.

### setMinor

public PluginProtos.Version.Builder setMinor(int value)
`optional int32 minor = 2 [json_name = "minor"];`

Parameters:
  `value` - The minor to set.
Returns:
  This builder for chaining.

### clearMinor

public PluginProtos.Version.Builder clearMinor()
`optional int32 minor = 2 [json_name = "minor"];`

Returns:
  This builder for chaining.

### hasPatch

public boolean hasPatch()
`optional int32 patch = 3 [json_name = "patch"];`

Specified by:
  `hasPatch` in interface `PluginProtos.VersionOrBuilder`
Returns:
  Whether the patch field is set.

### getPatch

public int getPatch()
`optional int32 patch = 3 [json_name = "patch"];`

Specified by:
  `getPatch` in interface `PluginProtos.VersionOrBuilder`
Returns:
  The patch.

### setPatch

public PluginProtos.Version.Builder setPatch(int value)
`optional int32 patch = 3 [json_name = "patch"];`

Parameters:
  `value` - The patch to set.
Returns:
  This builder for chaining.

### clearPatch

public PluginProtos.Version.Builder clearPatch()
`optional int32 patch = 3 [json_name = "patch"];`

Returns:
  This builder for chaining.

### hasSuffix

public boolean hasSuffix()
`optional string suffix = 4 [json_name = "suffix"];`

Specified by:
  `hasSuffix` in interface `PluginProtos.VersionOrBuilder`
Returns:
  Whether the suffix field is set.

### getSuffix

public String getSuffix()
`optional string suffix = 4 [json_name = "suffix"];`

Specified by:
  `getSuffix` in interface `PluginProtos.VersionOrBuilder`
Returns:
  The suffix.

### getSuffixBytes

public ByteString getSuffixBytes()
`optional string suffix = 4 [json_name = "suffix"];`

Specified by:
  `getSuffixBytes` in interface `PluginProtos.VersionOrBuilder`
Returns:
  The bytes for suffix.

### setSuffix

public PluginProtos.Version.Builder setSuffix(String value)
`optional string suffix = 4 [json_name = "suffix"];`

Parameters:
  `value` - The suffix to set.
Returns:
  This builder for chaining.

### clearSuffix

public PluginProtos.Version.Builder clearSuffix()
`optional string suffix = 4 [json_name = "suffix"];`

Returns:
  This builder for chaining.

### setSuffixBytes

public PluginProtos.Version.Builder setSuffixBytes(ByteString value)
`optional string suffix = 4 [json_name = "suffix"];`

Parameters:
  `value` - The bytes for suffix to set.
Returns:
  This builder for chaining.